org.eclipse.jgit.revwalk.filter

## Class NotRevFilter

- java.lang.Object
- - org.eclipse.jgit.revwalk.filter.RevFilter
  - - org.eclipse.jgit.revwalk.filter.NotRevFilter

    public class NotRevFilter
    extends RevFilter

Includes a commit only if the subfilter does not include the commit.

### Field Summary

### Fields inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`ALL, MERGE_BASE, NO_MERGES, NONE`

### Method Summary

Methods
`RevFilter` `clone()` Clone this revision filter, including its parameters.
`static RevFilter` `create(RevFilter a)` Create a filter that negates the result of another filter.
`boolean` `include(RevWalk walker, RevCommit c)` Determine if the supplied commit should be included in results.
`RevFilter` `negate()` Create a new filter that does the opposite of this filter.
`boolean` `requiresCommitBody()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static RevFilter create(RevFilter a)

Create a filter that negates the result of another filter.

Parameters:
  `a` - filter to negate.
Returns:
  a filter that does the reverse of `a`.

#### negate

    public RevFilter negate()

Description copied from class: `RevFilter`
Create a new filter that does the opposite of this filter.

Overrides:
  `negate` in class `RevFilter`
Returns:
  a new filter that includes commits this filter rejects.

#### include

    public boolean include(RevWalk walker,
                  RevCommit c)
                    throws MissingObjectException,
                           IncorrectObjectTypeException,
                           IOException

Description copied from class: `RevFilter`
Determine if the supplied commit should be included in results.

Specified by:
  `include` in class `RevFilter`
Parameters:
  `walker` - the active walker this filter is being invoked from within.
  `c` - the commit currently being tested. The commit has been parsed and its body is available for inspection only if the filter returns true from `RevFilter.requiresCommitBody()`.
Returns:
  true to include this commit in the results; false to have this commit be omitted entirely from the results.
Throws:
  `MissingObjectException` - an object the filter needs to consult to determine its answer does not exist in the Git repository the walker is operating on. Filtering this commit is impossible without the object.
  `IncorrectObjectTypeException` - an object the filter needed to consult was not of the expected object type. This usually indicates a corrupt repository, as an object link is referencing the wrong type.
  `IOException` - a loose object or pack file could not be read to obtain data necessary for the filter to make its decision.

#### requiresCommitBody

    public boolean requiresCommitBody()

Overrides:
  `requiresCommitBody` in class `RevFilter`
Returns:
  true if the filter needs the commit body to be parsed.

#### clone

    public RevFilter clone()

Description copied from class: `RevFilter`
Clone this revision filter, including its parameters.

This is a deep clone. If this filter embeds objects or other filters it must also clone those, to ensure the instances do not share mutable data.

Specified by:
  `clone` in class `RevFilter`
Returns:
  another copy of this filter, suitable for another thread.

#### toString

    public String toString()

Overrides:
  `toString` in class `RevFilter`